openMairie.org | Démonstration | Documentation | Forum

Erreur lors de la première connection [Résolu]

Bonjour à tous !

Je viens d’installer OpenADS dans une VM Debian 8 en suivant à la lettre le tutoriel.

Tout s’est bien déroulé jusqu’à la première connection : après avoir renseigné les identifiants admin je tombe sur une page blanche (Je précise que j’ai également essayé sur CentOS 6 avec le même résultat).
Comme indiqué dans la procédure d’installation j’ai activé le mode “debug” afin de comprendre ce qu’il se passe et voici ce qui est écrit:

> Logger
>  
> /openads/scr/login.php
> class utils - database::isError(): SGBD ERROR => DB Error:
> extension not found] **
> pgsql(pgsql)://postgres:PASSWORD@tcp+localhost:5432/openads?title=openADS&formatdate=AAAA-MM-JJ&schema=openads&prefixe=&directory=&mail=mail-default&filestorage=filestorage-default&extras DEBUG
> class utils - database::isError(): PEAR ERROR => DB Error:
> extension not found DEBUG

Voici la liste des commandes utilisées pour configurer ma VM et l’outil:

sudo /etc/init.d/apache2 start
sudo /etc/init.d/postgresql start
psql -U postgres (changement de mdp pour postgres -> ‘postgres’)
mkdir openads
cd openads/
wget http://adullact.net/frs/download.php/file/7950/openads_3.32.1.zip
unzip openads_3.32.1.zip
mv openads_3.32.1 openads
sudo cp -r openads /var/www/html/
sudo su - postgres -c "createdb -E UTF8 -O postgres openads"
sudo apt-get install postgis
sudo su - postgres -c "psql -d openads -c ‘CREATE EXTENSION postgis;’"
cd /var/www/html/openads/data/pgsql
psql -U postgres openads -f install.sql
sudo chown -R www-data:www-data /var/www/html/openads
sudo emacs dyn/debug.inc.php (activation du debug)
sudo /etc/init.d/postgresql restart
sudo /etc/init.d/apache2 restart
sudo apt-get update && sudo apt-get upgrade

J’ai sûrement oublié quelque chose mais je ne comprends pas quoi…

Une idée ?

J’ai trouvé la solution à mon problème, il manquait “php5-pgsql” !

Il manquait php5-pgsql à quel niveau ?

Merci pour openvoie aussi (conf debian stretch, nginx, php5.6, postgrest 9.1)